summaryrefslogtreecommitdiff
path: root/tests/misc/nohup
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/nohup')
-rwxr-xr-xtests/misc/nohup2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/nohup b/tests/misc/nohup
index cef8ee8fc..76f676d81 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -25,7 +25,7 @@ nohup sh -c 'echo stdout; echo stderr 1>&2' 2>err || fail=1
# Be careful. The results of the above nohup command
# change depending on whether stdin and stdout are redirected.
if test -t 1; then
- test "`cat nohup.out`" = stdout || fail=1
+ test "$(cat nohup.out)" = stdout || fail=1
if test -t 0; then
echo 'nohup: ignoring input and appending output to 'nohup.out'\'
else